summaryrefslogtreecommitdiff
path: root/dev-python/google-api-core
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-23 17:45:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-23 17:45:42 +0000
commitf0e92064b4a53672522e47d970e8dc360498678e (patch)
tree9f90cf5742b00bb7116b56f2c1a7fd2f821e0aac /dev-python/google-api-core
parent8da7370c745f2de24fecf46b72f99f2b1709baff (diff)
downloadbaldeagleos-repo-f0e92064b4a53672522e47d970e8dc360498678e.tar.gz
baldeagleos-repo-f0e92064b4a53672522e47d970e8dc360498678e.tar.xz
baldeagleos-repo-f0e92064b4a53672522e47d970e8dc360498678e.zip
Adding metadata
Diffstat (limited to 'dev-python/google-api-core')
-rw-r--r--dev-python/google-api-core/google-api-core-2.21.0-r1.ebuild63
-rw-r--r--dev-python/google-api-core/metadata.xml6
2 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/google-api-core/google-api-core-2.21.0-r1.ebuild b/dev-python/google-api-core/google-api-core-2.21.0-r1.ebuild
new file mode 100644
index 000000000000..93a4b051763a
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.21.0-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-core/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+ https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.22.3[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.49.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.49.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.49.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.49.1[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio tests
+}
diff --git a/dev-python/google-api-core/metadata.xml b/dev-python/google-api-core/metadata.xml
index 29e7ada65f00..2b52d101525a 100644
--- a/dev-python/google-api-core/metadata.xml
+++ b/dev-python/google-api-core/metadata.xml
@@ -10,6 +10,12 @@
<name>Python</name>
</maintainer>
+ <use>
+ <flag name="grpc">
+ Pull (heavy) gRPC dependencies in, that are optionally
+ required by part of the API.
+ </flag>
+ </use>
<origin>gentoo-staging</origin>
<stabilize-allarches/>
</pkgmetadata> \ No newline at end of file